Package com.databricks.jdbc.api.impl

## Interface DatabricksColumn

All Known Implementing Classes:
  `ImmutableDatabricksColumn`

    @Immutable
    public interface DatabricksColumn

### Method Summary

All Methods Instance Methods Abstract Methods
`AccessType` `accessType()`
`String` `catalogName()`
`String` `columnName()` Name of the column in result set
`int` `columnType()` Type of the column in result set
`String` `columnTypeClassName()`
`String` `columnTypeText()` Full data type spec, SQL/catalogString text
`int` `displaySize()`
`boolean` `isAutoIncrement()`
`boolean` `isCaseSensitive()`
`boolean` `isCurrency()`
`boolean` `isDefinitelyWritable()`
`boolean` `isSearchable()`
`boolean` `isSigned()`
`Nullable` `nullable()`
`String` `schemaName()`
`String` `tableName()`
`int` `typePrecision()` Precision is the maximum number of significant digits that can be stored in a column.
`int` `typeScale()`

### Method Detail

#### columnName

    String columnName()

Name of the column in result set

#### columnType

    int columnType()

Type of the column in result set

#### columnTypeText

    String columnTypeText()

Full data type spec, SQL/catalogString text

#### typePrecision

    int typePrecision()

Precision is the maximum number of significant digits that can be stored in a column. For string, it's 255.

#### displaySize

    int displaySize()

#### isSigned

    boolean isSigned()

#### schemaName

    String schemaName()

#### isCurrency

    boolean isCurrency()

#### isAutoIncrement

    boolean isAutoIncrement()

#### isCaseSensitive

    boolean isCaseSensitive()

#### isSearchable

    boolean isSearchable()

#### nullable

    Nullable nullable()

#### typeScale

    int typeScale()

#### accessType

    AccessType accessType()

#### isDefinitelyWritable

    boolean isDefinitelyWritable()

#### columnTypeClassName

    String columnTypeClassName()

#### tableName

    String tableName()

#### catalogName

    String catalogName()